> For the complete documentation index, see [llms.txt](https://docs.faspay.co.id/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.faspay.co.id/merchant-integration/api-reference-1/sendme/mutasi.md).

# Mutasi

This service used by user/partner for check transaction log / the mutation accounts registered in the disbursement system. Use this relative URL for generate signature :

* Relative URL : **/account/api/mutasi/< va\_partner >/< start\_date >/< end\_date >**

{% hint style="info" %}
Notes:

*Maximum time span = 1 month*

*Oldest transaction history = 3 month*
{% endhint %}

And also need to create a **signature** and use the **request header**.

{% tabs %}
{% tab title="Response Body" %}

<table><thead><tr><th width="221">Parameter</th><th width="150">Data Type</th><th width="150">M/O/C</th><th>Description</th></tr></thead><tbody><tr><td>virtual_account</td><td>Numeric</td><td>Mandatory</td><td>VA partner</td></tr><tr><td>start_date</td><td>Numeric</td><td>Mandatory</td><td>Start date of inquiry mutation</td></tr><tr><td>end_date</td><td>Numeric</td><td>Mandatory</td><td>End date of inquiry mutation</td></tr><tr><td>transaction_date</td><td>Numeric</td><td>Mandatory</td><td>Transaction date</td></tr><tr><td>transaction_type</td><td>Alphanumeric</td><td>Mandatory</td><td>Type of transaction (Debit / Credit)</td></tr><tr><td>transaction_amount</td><td>Numeric</td><td>Mandatory</td><td>Amount of transaction</td></tr><tr><td>transaction_name</td><td>Alphanumeric</td><td>Mandatory</td><td>Transaction reference</td></tr><tr><td>transaction_desc</td><td>Alphanumeric</td><td>Mandatory</td><td>Transaction description</td></tr><tr><td>status</td><td>Numeric</td><td>Mandatory</td><td>Status (2 = Success)</td></tr><tr><td>message</td><td>Alphanumeric</td><td>Mandatory</td><td>Message decription</td></tr><tr><td>response_code</td><td>Numeric</td><td>Mandatory</td><td>Response Code</td></tr><tr><td>response_desc</td><td>Alphanumeric</td><td>Mandatory</td><td>Response Description</td></tr></tbody></table>
{% endtab %}

{% tab title="Sample Response" %}

```json
{    
    "virtual_account": "9920015307",
    "start_date": "2019-02-01",
    "end_date": "2019-02-12",
    "data": [
        {
            "transaction_date": "11/02/2019 16:48:11",
            "transaction_type": "K",
            "transaction_amount": "10000000.00",
            "transaction_name": "topup",
            "transaction_desc": "Topup Saldo #8985929920015307 99992417885"
        },
        {
            "transaction_date": "12/02/2019 08:51:00",
            "transaction_type": "D",
            "transaction_amount": "25000.00",
            "transaction_name": "transfer",
            "transaction_desc": "Test 9920015361 O4wgHmwglqpFAv-hZiu-"
        }
    ],
    "status": "2",
    "message": "Success",
    "response_code": "00",
    "response_desc": "success"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.faspay.co.id/merchant-integration/api-reference-1/sendme/mutasi.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
